
Redmine - Defect #11005

Error with the PDF export function

2012-05-23 20:19 - Arnaud Dulieu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.4.1

Description

Internal error when clicking on the PDF button to export issue list.

No useful info in the apache log file.

On a bright new installation of red mine 1.4.1

ruby 1.8.7

All access rights looks ok.

Related issues:

Has duplicate Redmine - Defect #12076: Can't edit update of an issue Closed

Has duplicate Redmine - Defect #12863: Editing messages in Issue history does... Closed

Has duplicate Redmine - Defect #13184: 500 internal server error when changin... Closed

History

#1 - 2012-05-25 03:08 - Cyber Sprocket

We have the same issue.  Ruby 1.8.7 seems to be the trigger. Looks like something is missing/broken in Ruby.

This seems to be backed up by this post:

http://yehudakatz.com/2010/01/02/the-craziest-fing-bug-ive-ever-seen/

Our log File:

Started GET "/projects/adpress/issues.pdf" for 76.26.193.219 at Thu May 24 20:57:11 -0400 2012

NoMethodError (undefined method `to_ary' for #<Mime::Type:0xb76b58ac>):

actionpack (3.2.3) lib/action_dispatch/http/mime_type.rb:270:in `method_missing'

actionpack (3.2.3) lib/action_dispatch/http/mime_negotiation.rb:55:in `Array'

actionpack (3.2.3) lib/action_dispatch/http/mime_negotiation.rb:55:in `formats'

actionpack (3.2.3) lib/action_dispatch/http/mime_negotiation.rb:49:in `format'

actionpack (3.2.3) lib/action_controller/metal/instrumentation.rb:22:in `process_action'

actionpack (3.2.3) lib/action_controller/metal/params_wrapper.rb:205:in `process_action'

activerecord (3.2.3) lib/active_record/railties/controller_runtime.rb:18:in `process_action'

actionpack (3.2.3) lib/abstract_controller/base.rb:121:in `process'

actionpack (3.2.3) lib/abstract_controller/rendering.rb:45:in `process'

actionpack (3.2.3) lib/action_controller/metal.rb:203:in `dispatch'

actionpack (3.2.3) lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

actionpack (3.2.3) lib/action_controller/metal.rb:246:in `action'

actionpack (3.2.3) lib/action_dispatch/routing/route_set.rb:73:in `call'

actionpack (3.2.3) lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

actionpack (3.2.3) lib/action_dispatch/routing/route_set.rb:36:in `call'

journey (1.0.3) lib/journey/router.rb:68:in `call'

journey (1.0.3) lib/journey/router.rb:56:in `each'

journey (1.0.3) lib/journey/router.rb:56:in `call'

actionpack (3.2.3) lib/action_dispatch/routing/route_set.rb:600:in `call'

rack-openid (1.3.1) lib/rack/openid.rb:98:in `call'

actionpack (3.2.3) lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

rack (1.4.1) lib/rack/etag.rb:23:in `call'

rack (1.4.1) lib/rack/conditionalget.rb:25:in `call'

actionpack (3.2.3) lib/action_dispatch/middleware/head.rb:14:in `call'

actionpack (3.2.3) lib/action_dispatch/middleware/params_parser.rb:21:in `call'

actionpack (3.2.3) lib/action_dispatch/middleware/flash.rb:242:in `call'

rack (1.4.1) lib/rack/session/abstract/id.rb:205:in `context'

rack (1.4.1) lib/rack/session/abstract/id.rb:200:in `call'

actionpack (3.2.3) lib/action_dispatch/middleware/cookies.rb:338:in `call'
activerecord (3.2.3) lib/active_record/query_cache.rb:64:in `call'

activerecord (3.2.3) lib/active_record/connection_adapters/abstract/connection_pool.rb:467:in `call'

actionpack (3.2.3) lib/action_dispatch/middleware/callbacks.rb:28:in `call'

activesupport (3.2.3) lib/active_support/callbacks.rb:405:in `_run__397314981__call__4__callbacks'

activesupport (3.2.3) lib/active_support/callbacks.rb:405:in `send'

activesupport (3.2.3) lib/active_support/callbacks.rb:405:in `__run_callback'

activesupport (3.2.3) lib/active_support/callbacks.rb:385:in `_run_call_callbacks'

activesupport (3.2.3) lib/active_support/callbacks.rb:81:in `send'

activesupport (3.2.3) lib/active_support/callbacks.rb:81:in `run_callbacks'

actionpack (3.2.3) lib/action_dispatch/middleware/callbacks.rb:27:in `call'

actionpack (3.2.3) lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

actionpack (3.2.3) lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

actionpack (3.2.3) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

railties (3.2.3) lib/rails/rack/logger.rb:26:in `call_app'

railties (3.2.3) lib/rails/rack/logger.rb:16:in `call'

actionpack (3.2.3) lib/action_dispatch/middleware/request_id.rb:22:in `call'

rack (1.4.1) lib/rack/methodoverride.rb:21:in `call'

rack (1.4.1) lib/rack/runtime.rb:17:in `call'

activesupport (3.2.3) lib/active_support/cache/strategy/local_cache.rb:72:in `call'

rack (1.4.1) lib/rack/lock.rb:15:in `call'

actionpack (3.2.3) lib/action_dispatch/middleware/static.rb:62:in `call'

rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'

rack-cache (1.2) lib/rack/cache/context.rb:245:in `fetch'

rack-cache (1.2) lib/rack/cache/context.rb:185:in `lookup'

rack-cache (1.2) lib/rack/cache/context.rb:66:in `call!'

rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'

railties (3.2.3) lib/rails/engine.rb:479:in `call'

railties (3.2.3) lib/rails/application.rb:220:in `call'

railties (3.2.3) lib/rails/railtie/configurable.rb:30:in `send'

railties (3.2.3) lib/rails/railtie/configurable.rb:30:in `method_missing'

passenger (2.2.11) lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

passenger (2.2.11) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

passenger (2.2.11) lib/phusion_passenger/rack/application_spawner.rb:118:in `run'

passenger (2.2.11) lib/phusion_passenger/rack/application_spawner.rb:65:in `spawn_application'

passenger (2.2.11) lib/phusion_passenger/utils.rb:184:in `safe_fork'

passenger (2.2.11) lib/phusion_passenger/rack/application_spawner.rb:58:in `spawn_application'

passenger (2.2.11) lib/phusion_passenger/rack/application_spawner.rb:41:in `spawn_application'

passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:159:in `spawn_application'

passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

passenger (2.2.11) bin/passenger-spawn-server:61

#2 - 2012-05-25 19:04 - Jean-Philippe Lang

- Resolution set to Cant reproduce

I can't reproduce with 1.4.1 and ruby1.8.7.

#3 - 2012-05-30 09:14 - zhaochun lu

I have the same problem.

#4 - 2012-05-31 03:05 - Cyber Sprocket

Is there possibly a gem or something with Passenger that triggers the problem?

Apache + Passenger + Ruby + Rails with Redmine 2.0 cannot export CSV, PDF, or the RSS Atom.  They all product an error similar to the one output

by the Passenger logging in Ruby as noted above.

What can we do to help isolate and track down the issue?

#5 - 2012-06-20 22:00 - karim bernardet

Same problem for me : no export possible in txt, html or pdf

just upgrade to redmine 2.0.3

Started GET "/projets/projects/gfcpv2/wiki/Requirements.txt" for XXXXXX at Wed Jun 20 21:57:33 +0200 2012

NoMethodError (undefined method `to_ary' for #<Mime::Type:0x2b9174ea4350>):

actionpack (3.2.6) lib/action_dispatch/http/mime_type.rb:270:in `method_missing'

actionpack (3.2.6) lib/action_dispatch/http/mime_negotiation.rb:55:in `Array'

actionpack (3.2.6) lib/action_dispatch/http/mime_negotiation.rb:55:in `formats'

actionpack (3.2.6) lib/action_dispatch/http/mime_negotiation.rb:49:in `format'
actionpack (3.2.6) lib/action_controller/metal/instrumentation.rb:22:in `process_action'

actionpack (3.2.6) lib/action_controller/metal/params_wrapper.rb:206:in `process_action'

activerecord (3.2.6) lib/active_record/railties/controller_runtime.rb:18:in `process_action'

actionpack (3.2.6) lib/abstract_controller/base.rb:121:in `process'

actionpack (3.2.6) lib/abstract_controller/rendering.rb:45:in `process'

actionpack (3.2.6) lib/action_controller/metal.rb:203:in `dispatch'

actionpack (3.2.6) lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

actionpack (3.2.6) lib/action_controller/metal.rb:246:in `action'

actionpack (3.2.6) lib/action_dispatch/routing/route_set.rb:73:in `call'

actionpack (3.2.6) lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

actionpack (3.2.6) lib/action_dispatch/routing/route_set.rb:36:in `call'

journey (1.0.4) lib/journey/router.rb:68:in `call'

journey (1.0.4) lib/journey/router.rb:56:in `each'

journey (1.0.4) lib/journey/router.rb:56:in `call'

actionpack (3.2.6) lib/action_dispatch/routing/route_set.rb:600:in `call'

rack-openid (1.3.1) lib/rack/openid.rb:98:in `call'

actionpack (3.2.6) lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

rack (1.4.1) lib/rack/etag.rb:23:in `call'

rack (1.4.1) lib/rack/conditionalget.rb:25:in `call'

actionpack (3.2.6) lib/action_dispatch/middleware/head.rb:14:in `call'

actionpack (3.2.6) lib/action_dispatch/middleware/params_parser.rb:21:in `call'

actionpack (3.2.6) lib/action_dispatch/middleware/flash.rb:242:in `call'

rack (1.4.1) lib/rack/session/abstract/id.rb:205:in `context'

rack (1.4.1) lib/rack/session/abstract/id.rb:200:in `call'

actionpack (3.2.6) lib/action_dispatch/middleware/cookies.rb:338:in `call'

activerecord (3.2.6) lib/active_record/query_cache.rb:64:in `call'

activerecord (3.2.6) lib/active_record/connection_adapters/abstract/connection_pool.rb:473:in `call'

actionpack (3.2.6) lib/action_dispatch/middleware/callbacks.rb:28:in `call'

activesupport (3.2.6) lib/active_support/callbacks.rb:405:in `_run__397314981__call__4__callbacks'

activesupport (3.2.6) lib/active_support/callbacks.rb:405:in `send'

activesupport (3.2.6) lib/active_support/callbacks.rb:405:in `__run_callback'

activesupport (3.2.6) lib/active_support/callbacks.rb:385:in `_run_call_callbacks'

activesupport (3.2.6) lib/active_support/callbacks.rb:81:in `send'

activesupport (3.2.6) lib/active_support/callbacks.rb:81:in `run_callbacks'

actionpack (3.2.6) lib/action_dispatch/middleware/callbacks.rb:27:in `call'

actionpack (3.2.6) lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

actionpack (3.2.6) lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

actionpack (3.2.6) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

railties (3.2.6) lib/rails/rack/logger.rb:26:in `call_app'

railties (3.2.6) lib/rails/rack/logger.rb:16:in `call'

actionpack (3.2.6) lib/action_dispatch/middleware/request_id.rb:22:in `call'

rack (1.4.1) lib/rack/methodoverride.rb:21:in `call'

rack (1.4.1) lib/rack/runtime.rb:17:in `call'

activesupport (3.2.6) lib/active_support/cache/strategy/local_cache.rb:72:in `call'

rack (1.4.1) lib/rack/lock.rb:15:in `call'

actionpack (3.2.6) lib/action_dispatch/middleware/static.rb:62:in `call'

rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'

rack-cache (1.2) lib/rack/cache/context.rb:245:in `fetch'

rack-cache (1.2) lib/rack/cache/context.rb:185:in `lookup'

rack-cache (1.2) lib/rack/cache/context.rb:66:in `call!'

rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'

railties (3.2.6) lib/rails/engine.rb:479:in `call'

railties (3.2.6) lib/rails/application.rb:220:in `call'

railties (3.2.6) lib/rails/railtie/configurable.rb:30:in `send'

railties (3.2.6) lib/rails/railtie/configurable.rb:30:in `method_missing'

passenger (3.0.13) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

passenger (3.0.13) lib/phusion_passenger/abstract_request_handler.rb:516:in `accept_and_process_next_request'

passenger (3.0.13) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

passenger (3.0.13) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

passenger (3.0.13) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

passenger (3.0.13) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_application'

passenger (3.0.13) lib/phusion_passenger/utils.rb:479:in `safe_fork'

passenger (3.0.13) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_application'

passenger (3.0.13) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.13) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.13) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.13) lib/phusion_passenger/abstract_server.rb:180:in `start'

passenger (3.0.13) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

passenger (3.0.13) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

passenger (3.0.13) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

passenger (3.0.13) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

passenger (3.0.13) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

passenger (3.0.13) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

passenger (3.0.13) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

passenger (3.0.13) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'
passenger (3.0.13) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

passenger (3.0.13) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.13) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.13) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.13) helper-scripts/passenger-spawn-server:99

Cheers

Karim

#6 - 2012-08-03 17:13 - Sidimar Carniel

- Assignee set to Jean-Philippe Lang

I'm having the same problem:

Redmine 2.0.3

Passenger 3.0.15

Rack 1.4.1

Ruby 1.8.7

S.O CentOS 5.8

Not work export pdf and png, not work rest webservice which displays the same error.

#7 - 2012-08-13 08:39 - Bill Wang

I have find the problem:

Array(Mime[parameters[:format]])

the Array() method is not working, which require method: to_ary    

solution:

1. actionpack (3.2.6) lib/action_dispatch/http/mime_negotiation.rb:55

change from Array(Mime[parameters[:format]])

to Array.wrap(Mime[parameters[:format]])

2. upgrade ruby to latest

I use this version, and it works.

ruby 1.8.7 (2011-05-23 patchlevel 346) [i686-linux]

 3. maybe the latest actionpack fixed that problem?

ref:

https://rails.lighthouseapp.com/projects/8994/tickets/5599-use-arraywrap-instead-of-array

#8 - 2012-10-23 18:08 - Dan Clarke

I've also had this affecting me in 2.1.2.stable.10698, I'm sorry if the below problem isn't the same issue, but as far as I can tell, it is.

Info:

  Redmine version                          2.1.2.stable.10698

  Ruby version                             1.8.7 (x86_64-linux)

  Rails version                            3.2.8

  Environment                              production

  Database adapter                         MySQL

 As stated above, this was affecting ATOM, and this is where I was getting the errors, it may be my set up however:

Started GET "/projects/1/activity.atom?key=28cf9056229771372bdcde963a41900ffe5ad085&user_id=1" for 213.106.101

.114 at Wed Oct 24 17:00:18 +0100 2012

NoMethodError (undefined method `to_ary' for #<Mime::Type:0x7fa75b70e478>):

  actionpack (3.2.8) lib/action_dispatch/http/mime_type.rb:270:in `method_missing'

  actionpack (3.2.8) lib/action_dispatch/http/mime_negotiation.rb:55:in `Array'

  actionpack (3.2.8) lib/action_dispatch/http/mime_negotiation.rb:55:in `formats'

  actionpack (3.2.8) lib/action_dispatch/http/mime_negotiation.rb:49:in `format'

  actionpack (3.2.8) lib/action_controller/metal/instrumentation.rb:22:in `process_action'

  actionpack (3.2.8) lib/action_controller/metal/params_wrapper.rb:207:in `process_action'

  activerecord (3.2.8) lib/active_record/railties/controller_runtime.rb:18:in `process_action'
  actionpack (3.2.8) lib/abstract_controller/base.rb:121:in `process'

  actionpack (3.2.8) lib/abstract_controller/rendering.rb:45:in `process'

  actionpack (3.2.8) lib/action_controller/metal.rb:203:in `dispatch'

  actionpack (3.2.8) lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

  actionpack (3.2.8) lib/action_controller/metal.rb:246:in `action'

  actionpack (3.2.8) lib/action_dispatch/routing/route_set.rb:73:in `call'

  actionpack (3.2.8) lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

  actionpack (3.2.8) lib/action_dispatch/routing/route_set.rb:36:in `call'

  journey (1.0.4) lib/journey/router.rb:68:in `call'

  journey (1.0.4) lib/journey/router.rb:56:in `each'

  journey (1.0.4) lib/journey/router.rb:56:in `call'

  actionpack (3.2.8) lib/action_dispatch/routing/route_set.rb:600:in `call'

  rack-openid (1.3.1) lib/rack/openid.rb:98:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

  rack (1.4.1) lib/rack/etag.rb:23:in `call'

  rack (1.4.1) lib/rack/conditionalget.rb:25:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/head.rb:14:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/params_parser.rb:21:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/flash.rb:242:in `call'

  rack (1.4.1) lib/rack/session/abstract/id.rb:205:in `context'

  rack (1.4.1) lib/rack/session/abstract/id.rb:200:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/cookies.rb:339:in `call'

  activerecord (3.2.8) lib/active_record/query_cache.rb:64:in `call'

  activerecord (3.2.8) lib/active_record/connection_adapters/abstract/connection_pool.rb:473:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/callbacks.rb:28:in `call'

  activesupport (3.2.8) lib/active_support/callbacks.rb:405:in `_run__397314981__call__4__callbacks'

  activesupport (3.2.8) lib/active_support/callbacks.rb:405:in `send'

  activesupport (3.2.8) lib/active_support/callbacks.rb:405:in `__run_callback'

  activesupport (3.2.8) lib/active_support/callbacks.rb:385:in `_run_call_callbacks'

  activesupport (3.2.8) lib/active_support/callbacks.rb:81:in `send'

  activesupport (3.2.8) lib/active_support/callbacks.rb:81:in `run_callbacks'

  actionpack (3.2.8) lib/action_dispatch/middleware/callbacks.rb:27:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

  railties (3.2.8) lib/rails/rack/logger.rb:26:in `call_app'

  railties (3.2.8) lib/rails/rack/logger.rb:16:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/request_id.rb:22:in `call'

  rack (1.4.1) lib/rack/methodoverride.rb:21:in `call'

  rack (1.4.1) lib/rack/runtime.rb:17:in `call'

  activesupport (3.2.8) lib/active_support/cache/strategy/local_cache.rb:72:in `call'

  rack (1.4.1) lib/rack/lock.rb:15:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/static.rb:62:in `call'

  rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'

  rack-cache (1.2) lib/rack/cache/context.rb:245:in `fetch'

  rack-cache (1.2) lib/rack/cache/context.rb:185:in `lookup'

  rack-cache (1.2) lib/rack/cache/context.rb:66:in `call!'

  rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'

  railties (3.2.8) lib/rails/engine.rb:479:in `call'

  railties (3.2.8) lib/rails/application.rb:223:in `call'

  railties (3.2.8) lib/rails/railtie/configurable.rb:30:in `send'

  railties (3.2.8) lib/rails/railtie/configurable.rb:30:in `method_missing'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/rack/request_handler.rb:96:in `pro

cess_request'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/abstract_request_handler.rb:513:in

 `accept_and_process_next_request'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/abstract_request_handler.rb:274:in

 `main_loop'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/rack/application_spawner.rb:205:in

 `start_request_handler'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/rack/application_spawner.rb:170:in

 `send'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/rack/application_spawner.rb:170:in

 `handle_spawn_application'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/utils.rb:479:in `safe_fork'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/rack/application_spawner.rb:165:in

 `handle_spawn_application'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server.rb:357:in `__send_

_'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server.rb:357:in `server_

main_loop'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server.rb:206:in `start_s

ynchronously'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server.rb:180:in `start'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/rack/application_spawner.rb:128:in
 `start'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/spawn_manager.rb:253:in `spawn_rac

k_application'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server_collection.rb:132:

in `lookup_or_add'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/spawn_manager.rb:246:in `spawn_rac

k_application'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server_collection.rb:82:i

n `synchronize'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server_collection.rb:79:i

n `synchronize'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/spawn_manager.rb:244:in `spawn_rac

k_application'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/spawn_manager.rb:137:in `spawn_app

lication'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/spawn_manager.rb:275:in `handle_sp

awn_application'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server.rb:357:in `__send_

_'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server.rb:357:in `server_

main_loop'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9/lib/phusion_passenger/abstract_server.rb:206:in `start_s

ynchronously'

  /usr/local/lib/ruby/gems/1.9.1/gems/passenger-3.0.9//helper-scripts/passenger-spawn-server:99

 I have attempted solution 1, however this didn't work.

#9 - 2012-11-06 16:07 - Jonathan Tee

Hi,

i had the same isse, see http://www.redmine.org/boards/2/topics/33950

But Solution 1 works for me

Environment:

Redmine version                          2.1.0.stable

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.8

Environment                              production

Database adapter                         MySQL

Apache+fcgid

ruby 1.8.7 (2008-05-31 patchlevel 0) [x86_64-linux]

RedhatEnterpriseServer5

#10 - 2013-01-16 15:05 - Michal Unzeitig

Reported duplicate similar problem in #12863.

I can confirm that patching the lib/action_dispatch/http/mime_negotiation.rb:55 as mentioned above has helped.

(My Action Pack is v3.2.11 bude the code at the line 55 was same as in v3.2.6)

#11 - 2013-01-25 13:22 - Pavel Potcheptsov

same issue:

http://www.redmine.org/issues/12076#note-8

would you please make any suggestion?

#12 - 2013-01-29 16:15 - Pavel Potcheptsov

        location ~ .(html|css|js) {

              root /var/www/rm2.2.2/public;

              expires 30d;

              access_log off;

              error_log off; }

after removing "js" from nginx config file, Edit works

#13 - 2024-01-31 01:15 - Go MAEDA

- Status changed from New to Closed

Closing this issue because this seems to be caused by very old versions of Rails or Ruby.
